export const TRACK_EVENT = {
	APP_START: 'app_start',
	APP_EXCEPTION: 'app_exception',
	APP_STATE_CHANGE: 'app_state_change',
	GO_TO_PAGE: 'go_to_page',
	LOGIN: 'login',
	LOGOUT: 'logout',
	SEARCH_PRODUCT: 'search_product',
	SCAN_PRODUCT: 'scan_product',
	CHECK_PRODUCT_DETAIL: 'check_product_detail',
	CHOOSE_PRODUCT: 'choose_product',
	REMOVE_PRODUCT: 'remove_product',
	CHANGE_PRODUCT_QUANTITY: 'change_product_quantity',
	CREATE_CART: 'create_cart',
	UPDATE_CART: 'update_cart',
	CREATE_ORDER: 'create_order',
	SEND_QUOTATION: 'send_quotation',
	SEND_LOG_ORDER: 'send_log_order',
	LOAD_ETAG: 'load_etag',
	UPDATE_ETAG: 'update_etag',
	MEASUREMENT: 'measurement',
	PRODUCT_MISSING_IN_COMBO: 'product_missing_in_combo'
}

export const TRACK_PARAM = {
	USER_ID: 'user_id',
	TIMESTAMP: 'timestamp',
	APP_VERSION: 'app_version',
	SESSION_ID: 'session_id',
	FUNCTION_NAME: 'function_name',
	REASON: 'reason',
	STACKTRACE: 'stacktrace',
	ACTION: 'action',
	FROM_PAGE: 'from_page',
	TO_PAGE: 'to_page',
	RESULTS: 'results',
	EMAIL: 'email',
	NOTE: 'note',
	KEYWORD: 'keyword',
	BARCODE_DATA: 'barcode_data',
	SCREEN: 'screen',
	SKU: 'sku',
	INDEX: 'index',
	TIMER: 'timer',
	QUANTITY: 'quantity',
	CART: 'cart',
	BRANCH_CODE: 'branch_code',
	CUSTOMER_NAME: 'customer_name',
	CUSTOMER_PHONE: 'customer_phone',
	INVOICE: 'invoice',
	ORDERLINES: 'orderlines',
	LOG: 'log',
	ELAPPSED_TIME: 'elappsed_time',
	ETAG: 'etag',
	NEW_ETAG: 'new_etag',
	SOURCE: 'source',
	DATA: 'data',
	NAME: 'name',
	SKU_TYPE: 'sku_type',
	PRODUCTS_IN_COMBO: 'products_in_combo',
	PRODUCTS: 'products'
}

export const TRACK_CONSTANT = {
	SUCCESS: 1000,
	START_THUNK: 1001,
	PV_BACKEND_FAIL: 1002,
	FIREBASE_FAIL: 1003,
	GOOGLE_FAIL: 1004,
	INVALID_DATA: 1005
}
